Add a compensation reason
Add a compensation reason
Required permissions: COMPENSATION
post/tenants/{tenantUid}/compensations/{compensationUid}/reasons
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+compensationUidstringRequiredPattern:
Reference to a compensation.
^[A-Za-z0-9-_]+Body
productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.
reasonstringRequired
codestringRequired
productUidstringRequiredPattern:
^[A-Za-z0-9-_]*limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringOptional
Responses
201
Example response
application/json
productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.
reasonstringRequired
codestringRequired
productUidstringRequiredPattern:
^[A-Za-z0-9-_]*limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringRequired
post/tenants/{tenantUid}/compensations/{compensationUid}/reasons
POST /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"reason": "text",
"code": "text",
"productUid": "text",
"limit": 1,
"requireDocumentation": true,
"compensationReasonUid": "text"
}201
Example response
{
"reason": "text",
"code": "text",
"productUid": "text",
"limit": 1,
"requireDocumentation": true,
"compensationReasonUid": "text"
}Last updated
Was this helpful?

